Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class DeviceGroup

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.systems.inventory.resource.common.bean.DeviceGroup

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `TreeNode<DeviceGroup>`

    public class DeviceGroup
    extends IdTitle
    implements TreeNode<DeviceGroup>

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `GROUP_ACCESS` |
  `static int` | `GROUP_ACCOUNTING` |
  `static int` | `GROUP_NAS` |

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DeviceGroup()` |
  `DeviceGroup​(int id, java.lang.String title)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<DeviceGroup>` | `getChildren()` |
  `int` | `getCityId()` |
  `java.lang.String` | `getComment()` |
  `int` | `getParentId()` |
  `void` | `setChildren​(java.util.List<DeviceGroup> children)` |
  `void` | `setCityId​(int cityId)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setParentId​(int parentId)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### GROUP_ACCESS

    public static final int GROUP_ACCESS
    See Also:
      Constant Field Values

  - ### GROUP_ACCOUNTING

    public static final int GROUP_ACCOUNTING
    See Also:
      Constant Field Values

  - ### GROUP_NAS

    public static final int GROUP_NAS
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### DeviceGroup

    public DeviceGroup()

  - ### DeviceGroup

    public DeviceGroup​(int id, java.lang.String title)

- ## Method Details

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getCityId

    public int getCityId()

  - ### setCityId

    public void setCityId​(int cityId)

  - ### getParentId

    public int getParentId()

  - ### setParentId

    public void setParentId​(int parentId)

  - ### getChildren

    public java.util.List<DeviceGroup> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<DeviceGroup>`

  - ### setChildren

    public void setChildren​(java.util.List<DeviceGroup> children)